> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the status of multiple emails



## OpenAPI

````yaml put /admin/emails/status/{mail_status}/update
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/emails/status/{mail_status}/update:
    put:
      tags:
        - Email manager
      summary: Update the status of multiple emails
      operationId: c05efe72afe44c448d4b9880eec0152a
      parameters:
        - name: mail_status
          in: path
          description: The mail status key
          required: true
          schema:
            type: integer
      requestBody:
        description: Data needed to update the status of multiple emails
        required: true
        content:
          application/json:
            schema:
              properties:
                email_ids:
                  description: The ids of the emails
                  type: array
                  items:
                    type: integer
                    example: 1,2,3
                key:
                  type: string
                  example: '4'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: The status of the operation
                    type: string
                  status:
                    description: The new status of the emails
                    type: string
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: The error message
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````